﻿(function () {
    'use strict';
    // Uncomment the following line to enable first chance exceptions.
    // Debug.enableFirstChanceException(true);

    WinJS.Application.onmainwindowactivated = function (e) {
        if (e.detail.kind === Windows.ApplicationModel.Activation.ActivationKind.launch) {
            statusPanel.innerText = "Stahuji data z RSS";
            WinJS.xhr({ url: "http://www.maxiorel.cz/rss.xml" }).then(processPosts, downloadError);
        }
    }

    function processPosts(request) {
        statusPanel.innerText = "";

        var items = request.responseXML.selectNodes("//item");
        if (items.length == 0) { statusPanel.innerText = "data se nepodařilo stáhnout"; }

        for (var i = 0, len = items.length; i < len; i++) {
            var item = items[i];
            var parent = document.createElement("div");
            appendDiv(parent, item.selectNodes("title")[0].text, "titulek");
            appendDiv(parent, item.selectNodes("pubDate")[0].text, "datum");
            appendDiv(parent, item.selectNodes("description")[0].text.replace(/(<([^>]+)>)/ig, ""), "obsah");

            polozky.appendChild(parent);
        }
    }

    function appendDiv(parent, html, className) {
        var div = document.createElement("div");
        div.innerHTML = html;
        div.className = className;
        parent.appendChild(div);
    }

    function downloadError() {
        statusPanel.innerText = "data se nepodařilo stáhnout";
    }


    WinJS.Application.start();
})();